/*
  Name: Locale.c
  Author: Peter Hutchison
  Project: Printer
*/

#define CATCOMP_ARRAY
#include "global.h"

struct Catalog  *catalog;
struct List country_list, language_list, pref_language_list;


/*********************************************************************************************/

void InitLocale(STRPTR catname, ULONG version)
{
    #ifdef __SASC
    LocaleBase = (struct Library *)OpenLibrary("locale.library", 50);
    #else
    LocaleBase = (struct Library *)OpenLibrary("locale.library", 50);
    #endif

    if (LocaleBase)
    {
	catalog = OpenCatalog(NULL, catname, OC_Version, version,
					     TAG_DONE);
    }
}

/*********************************************************************************************/

void CleanupLocale(void)
{
    if (catalog) CloseCatalog(catalog);
    if (LocaleBase) CloseLibrary((struct Library *)LocaleBase);
}

/*********************************************************************************************/

char* MSG(ULONG id)
{
    if (catalog != NULL)
    {
	    return (char *)GetCatalogStr(catalog, id, CatCompArray[id].cca_Str);
    }
    else
    {
	    return (char *)CatCompArray[id].cca_Str;
    }
}

